← Back to API Reference

/color_palettes

Tag: color_palettes

getCustomer/club color palette collections

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringPalette name
cust_numberquerystringCustomer reference number
typequerystringPalette type (Primary, Secondary, etc.)
descriptionquerystringOptional palette description
is_activequerystringWhether the palette is active/enabled
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palettes?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postCustomer/club color palette collections

Parameters

NameInTypeFormatRequiredDescription
color_palettesbodyobjectcolor_palettes
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palettes" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "name": "example",
  "type": "example",
  "is_active": true,
  "sort_order": 0
}'

Responses

201Created

patchCustomer/club color palette collections

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringPalette name
cust_numberquerystringCustomer reference number
typequerystringPalette type (Primary, Secondary, etc.)
descriptionquerystringOptional palette description
is_activequerystringWhether the palette is active/enabled
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
color_palettesbodyobjectcolor_palettes
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palettes?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"name": "example"}'

Responses

204No Content

deleteCustomer/club color palette collections

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringPalette name
cust_numberquerystringCustomer reference number
typequerystringPalette type (Primary, Secondary, etc.)
descriptionquerystringOptional palette description
is_activequerystringWhether the palette is active/enabled
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palettes?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Customer/club color palette collections

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
name
stringtextPalette name
cust_number
stringtextCustomer reference number
type
stringtextPrimaryPalette type (Primary, Secondary, etc.)
description
stringtextOptional palette description
is_active
booleanbooleanWhether the palette is active/enabled
sort_order
integerinteger0Display order for sorting
created_by
stringuuid
created_at
stringtimestamp with time zonenow()
updated_at
stringtimestamp with time zonenow()
deleted_at
stringtimestamp with time zoneSoft delete timestamp